Name:           jinput
Version:        2.0.6
Release:        1.20110719svn%{?dist}
Summary:        Java Game Controller API

Group:          Development/Libraries
License:        BSD
URL:            http://java.net/projects/jinput
### upstream only provides subversion checkout or nightly build
# tar creation instructions
# checkout from subversion
# svn export https://svn.java.net/svn/jinput~svn/trunk jinput
# remove non-free code
# rm -rf jinput/plugins/windows jinput/plugins/wintab
# tar cfJ jinput-2.0.6.tar.xz jinput 
Source0:        %{name}-%{version}.tar.xz
# patch ant build.xml to cope with removed non-free code
Patch0:         001_jinput_build.diff
# tell ant to not strip native lib
Patch1:         002_jinput_dontstripso.diff
# patch dynamic object loading to use System.load
Patch2:         003_jinput_usesystemload.diff

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  jutils

Requires:       java 
Requires:       jpackage-utils
Requires:       jutils

%description
jinput is an implementation of an API for game controller discovery and polled 
input. It is part of a suite of open-source technologies initiated by the 
Game Technology Group at Sun Microsystems with intention of making the 
development of high performance games in Java a reality. 
The API itself is pure Java and presents a platform-neutral completely 
portable model of controller discovery and polling. It can handle arbitrary 
controllers and returns both human and machine understandable descriptions of 
the inputs available. 


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils
BuildArch:      noarch

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
build-jar-repository -s -p lib jutils  
sed -i 's/@VERSION@/%{version}/' jinput.pom
sed -i 's/@VERSION@/%{version}/' jinput-platform.pom

%build
ant dist javadoc

%install
# jar
install -Dp -m 644 dist/%{name}.jar \
    $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.jar

# jni
install -Dp -m 755 dist/libjinput* \
    $RPM_BUILD_ROOT%{_libdir}/%{name}/libjinput.so

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/coreAPI
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/plugins/linux
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/plugins/awt
cp -rp coreAPI/apidocs/*  $RPM_BUILD_ROOT%{_javadocdir}/%{name}/coreAPI/
cp -rp plugins/linux/apidocs/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}/plugins/linux/
cp -rp plugins/awt/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/plugins/awt/

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 jinput-platform.pom  \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-platform.pom
install -pm 644 jinput.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-platform.pom 

%check
ant versiontest


%files
%doc README.txt 
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_libdir}/%{name}


%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Jul 19 2011 Guido Grazioli <guido.grazioli@gmail.com> - 2.0.6-1.20110719svn
- Initial packaging
